<!DOCTYPE HTML>

<html xml:lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.thymeleaf.org ">

<head>
    <title>Ship card</title>
    <meta name="viewport" content="width=device-width">
</head>

<body>
    <article th:fragment="shipCard" class="ship-card" th:each="ship : ${session.boatList}">
        <figure>
            <figcaption th:text="${ship.name}"></figcaption>
            <img class="imgCard" th:src="'/images/' + ${ship.url}" alt="Ship photo">
        </figure>
        <section class="edit-remove">
            <div class="buttons">
                <a class="edit-remove-button" th:href="@{/boat?action=edit&id={id}(id=${ship.boatId})}" onclick="_paq.push(['trackEvent', 'Home', 'Edit boat Clicked', 'Edit boat']);">EDIT BOAT</a>
                <a class="edit-remove-button" th:href="@{/boat?action=remove&id={id}(id=${ship.boatId})}" onclick="_paq.push(['trackEvent', 'Home', 'Delete boat Clicked', 'Remove boat']);" >REMOVE BOAT</a>
            </div>
            <p><span>Boat Id: </span><span th:text="${ship.boatId}"></span></p>
        </section>
    </article>


</body>

</html>
